import { ArrayNode, Node, ObjectNode, SparseArrayNode, TextBlockScalar } from "./object-graph";
import { YamprintFormatter } from "./yamprint-formatter";
export declare class YamprintGraphPrinter {
    readonly formatter: YamprintFormatter;
    private _writer;
    constructor(formatter: YamprintFormatter);
    protected _formatLiteral(literal: any): any;
    protected _printArray(instance: ArrayNode): void;
    protected _printSparseArray(node: SparseArrayNode): void;
    protected _formatScalar(scalar: any): any;
    protected _printTextBlock(block: TextBlockScalar): void;
    protected _printObject(node: ObjectNode): void;
    protected _printComplex(node: Node): void;
    print(node: Node): string;
}
